# Uses of Class
org.eclipse.birt.report.model.api.command.StyleException

Packages that use StyleException
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of StyleException in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that throw StyleException
Modifier and Type
Method
Description
`void`
ContentElementHandle.`setStyle(SharedStyleHandle style)`
`void`
DesignElementHandle.`setStyle(SharedStyleHandle style)`
Sets the shared style element for this element.
`void`
DesignElementHandle.`setStyleElement(org.eclipse.birt.report.model.core.StyleElement obj)`
Deprecated.
by `DesignElementHandle.setStyle(SharedStyleHandle)`
`void`
ContentElementHandle.`setStyleName(String name)`
`void`
DesignElementHandle.`setStyleName(String name)`
Sets the name of the shared style for this element.